Fish_LargeFishCFG5 = {}

function Fish_LargeFishCFG5:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_LargeFishCFG5:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Name = "2号鱼阵", GeneratorID = 6200, FishID = -1, ImageInfo = "UI/Image/FishLargeInfo2.png", IsBoss = false, BackSound = "Sound/BG06.mp3", Duration = -1, WarnTime = 3, FlashTime = 3, DieTime = -1}
	self.datas[2] = {ID = 2, Name = "3号鱼阵", GeneratorID = 6300, FishID = -1, ImageInfo = "UI/Image/FishLargeInfo2.png", IsBoss = false, BackSound = "Sound/BG05.mp3", Duration = -1, WarnTime = 3, FlashTime = 3, DieTime = -1}
	self.datas[3] = {ID = 3, Name = "5号鱼阵", GeneratorID = 6500, FishID = -1, ImageInfo = "UI/Image/FishLargeInfo2.png", IsBoss = false, BackSound = "Sound/BG06.mp3", Duration = -1, WarnTime = 3, FlashTime = 3, DieTime = -1}
	self.datas[4] = {ID = 4, Name = "6号鱼阵", GeneratorID = 6600, FishID = -1, ImageInfo = "UI/Image/FishLargeInfo2.png", IsBoss = false, BackSound = "Sound/BG05.mp3", Duration = -1, WarnTime = 3, FlashTime = 3, DieTime = -1}
	self.datas[102] = {ID = 102, Name = "BOSS鱼阵1", GeneratorID = 2020, FishID = 100, ImageInfo = "UI/Image/FishLargeInfo3.png", IsBoss = true, BackSound = "Sound/boss.mp3", Duration = 240, WarnTime = 9, FlashTime = 0, DieTime = 5}
	self.datas[103] = {ID = 103, Name = "BOSS鱼阵2", GeneratorID = 2020, FishID = 100, ImageInfo = "UI/Image/FishLargeInfo3.png", IsBoss = true, BackSound = "Sound/boss.mp3", Duration = 240, WarnTime = 9, FlashTime = 0, DieTime = 5}
	self.datas[104] = {ID = 104, Name = "金龙神鱼阵", GeneratorID = 2030, FishID = 101, ImageInfo = "UI/Image/FishLargeInfo3.png", IsBoss = true, BackSound = "Sound/boss.mp3", Duration = 240, WarnTime = 9, FlashTime = 0, DieTime = 5}
end

Fish_LargeFishCFG5:init()
